## ros-melodic-industrial-robot-simulator 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(industrial_robot_simulator)

find_package(catkin REQUIRED)

catkin_package()

##########
## Test ##
##########

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

#############
## Install ##
#############


install(PROGRAMS industrial_robot_simulator DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-melodic-industrial-robot-simulator (0.7.1-1stretch) stretch; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * manually revert commit 40fa0dae (#234 <https://github.com/ros-industrial/industrial_core/issues/234>)
  * Contributors: Alexis0301, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.7.0-1stretch) stretch; urgency=high

  * Added in better simluation when velocities are provided for trajectory
  * robot_simulator: review and fix buildscript and manifest. Fix #207 <https://github.com/ros-industrial/industrial_core/issues/207>.
  * Fix for issue #157 <https://github.com/ros-industrial/industrial_core/issues/157>: don't depend on non-existing targets in ind_rob_sim build file
  * robot_sim: don't depend on targets that don't exist. Fix #157 <https://github.com/ros-industrial/industrial_core/issues/157>.
  * Contributors: Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Mon, 11 Feb 2019 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.6.0-1stretch) stretch; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- Shaun Edwards <sedwards@swri.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.5.1-1stretch) stretch; urgency=high

  * robot_simulator: clarify err msg when controller_joint_names is missing.
  * Make industrial_robot_simulator python3 compatible.
  * Contributors: G.A. vd. Hoorn, Maarten de Vries

 -- Shaun Edwards <sedwards@swri.org>  Sat, 14 Jan 2017 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.5.0-1stretch) stretch; urgency=high

  * Added industrial_robot_client test depends as a workaround to test failures
  * Updated industrial_robot_simulator package.xml to version 2 format
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 21 Feb 2016 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.3-1stretch) stretch; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Feb 2016 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.2-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Tue, 20 Oct 2015 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.1-1stretch) stretch; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.0-1stretch) stretch; urgency=high

  * Fixed roslaunch test dependency and build depends for robot simulator package
  * Corrected roslaunch test and added rospy depends to industrial_robot_simulator package
  * Removed extraneous dependencies.  Re-enable launch test
  * robot_simulator: add TU Delft copyright as well.
  * robot_simulator: add BSD license header. Fix #90 <https://github.com/ros-industrial/industrial_core/issues/90>.
  * robot_simulator: set explicit queue size in Publishers. Fix #99 <https://github.com/ros-industrial/industrial_core/issues/99>.
    Queue size of 1 is most likely sufficient for these topics.
  * robot_simulator: add GetRobotInfo svc server.
  * robot_simulator: quiet down node (use logdebug()).
  * Merge pull request #88 <https://github.com/ros-industrial/industrial_core/issues/88> from gavanderhoorn/rob_sim_robot_status
    Add RobotStatus publishing to robot simulator node
  * robot_simulator: remove redundant load_manifest(). Fix #63 <https://github.com/ros-industrial/industrial_core/issues/63>.
  * robot_simulator: update manifest (depend on industrial_msgs).
  * robot_simulator: publish RobotStatus msgs as well.
  * robot_simulator: make initial joint state configurable. Fix #73 <https://github.com/ros-industrial/industrial_core/issues/73>.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Fri, 20 Mar 2015 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.4-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 20 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.3-1stretch) stretch; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Sun, 12 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.2-1stretch) stretch; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.1-1stretch) stretch; urgency=high

  * robot_simulator: avoid hardcoded python path. Fix #53 <https://github.com/ros-industrial/industrial_core/issues/53>.
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Add install target for launchfile in sim pkg.
    Fix #35 <https://github.com/ros-industrial/industrial_core/issues/35>.
  * Fix issue #6 <https://github.com/ros-industrial/industrial_core/issues/6> (Install target fails for industrial_robot_simulator): setup.py file not required for python executables, see http://ros.org/wiki/catkin/migrating_from_rosbuild
  * bugFix: #61 <https://github.com/ros-industrial/industrial_core/issues/61> - fix joint-name remapping in industrial_robot_simulator
  * Added interpolated motion to MotionControllerSimulator class. Includes addition of interpolate(), and modification of  _motion_worker()
  * New rospy.get_param() added to IndustrialRobotSimulatorNode in order to assign motion_update_rate
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, dpsolomon, gavanderhoorn, jrgnicho

 -- Shaun Edwards <sedwards@swri.org>  Wed, 08 Jan 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-industrial-robot-simulator
Section: misc
Priority: extra
Maintainer: Shaun Edwards <shaun.edwards@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch (>= 1.9.55)
Homepage: http://ros.org/wiki/industrial_robot_simulator
Standards-Version: 3.9.2

Package: ros-melodic-industrial-robot-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-melodic-control-msgs, ros-melodic-industrial-msgs, ros-melodic-industrial-robot-client, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-trajectory-msgs
Description: The industrial robot simulator is a stand in for industrial robot driver node(s).
 It adheres to the driver specification for industrial robot controllers.

## ros-melodic-industrial-robot-simulator 0.7.3

=== debian/changelog ===
ros-melodic-industrial-robot-simulator (0.7.3-1bionic) bionic; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 14 Jul 2021 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.7.2-1bionic) bionic; urgency=high

  * target Melodic and newer.
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Simon Schmeisser, ipa-nhg, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 27 Jun 2021 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.7.1-1bionic) bionic; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * manually revert commit 40fa0dae (#234 <https://github.com/ros-industrial/industrial_core/issues/234>)
  * Contributors: Alexis0301, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- Shaun Edwards <shaun.edwards@gmail.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.7.0-1bionic) bionic; urgency=high

  * Added in better simluation when velocities are provided for trajectory
  * robot_simulator: review and fix buildscript and manifest. Fix #207 <https://github.com/ros-industrial/industrial_core/issues/207>.
  * Fix for issue #157 <https://github.com/ros-industrial/industrial_core/issues/157>: don't depend on non-existing targets in ind_rob_sim build file
  * robot_sim: don't depend on targets that don't exist. Fix #157 <https://github.com/ros-industrial/industrial_core/issues/157>.
  * Contributors: Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Mon, 11 Feb 2019 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.6.0-1bionic) bionic; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- Shaun Edwards <sedwards@swri.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.5.1-1bionic) bionic; urgency=high

  * robot_simulator: clarify err msg when controller_joint_names is missing.
  * Make industrial_robot_simulator python3 compatible.
  * Contributors: G.A. vd. Hoorn, Maarten de Vries

 -- Shaun Edwards <sedwards@swri.org>  Sat, 14 Jan 2017 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.5.0-1bionic) bionic; urgency=high

  * Added industrial_robot_client test depends as a workaround to test failures
  * Updated industrial_robot_simulator package.xml to version 2 format
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 21 Feb 2016 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.3-1bionic) bionic; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sat, 06 Feb 2016 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.2-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Tue, 20 Oct 2015 22:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.1-1bionic) bionic; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Sun, 22 Mar 2015 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.4.0-1bionic) bionic; urgency=high

  * Fixed roslaunch test dependency and build depends for robot simulator package
  * Corrected roslaunch test and added rospy depends to industrial_robot_simulator package
  * Removed extraneous dependencies.  Re-enable launch test
  * robot_simulator: add TU Delft copyright as well.
  * robot_simulator: add BSD license header. Fix #90 <https://github.com/ros-industrial/industrial_core/issues/90>.
  * robot_simulator: set explicit queue size in Publishers. Fix #99 <https://github.com/ros-industrial/industrial_core/issues/99>.
    Queue size of 1 is most likely sufficient for these topics.
  * robot_simulator: add GetRobotInfo svc server.
  * robot_simulator: quiet down node (use logdebug()).
  * Merge pull request #88 <https://github.com/ros-industrial/industrial_core/issues/88> from gavanderhoorn/rob_sim_robot_status
    Add RobotStatus publishing to robot simulator node
  * robot_simulator: remove redundant load_manifest(). Fix #63 <https://github.com/ros-industrial/industrial_core/issues/63>.
  * robot_simulator: update manifest (depend on industrial_msgs).
  * robot_simulator: publish RobotStatus msgs as well.
  * robot_simulator: make initial joint state configurable. Fix #73 <https://github.com/ros-industrial/industrial_core/issues/73>.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Fri, 20 Mar 2015 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.4-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 20 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.3-1bionic) bionic; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Sun, 12 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.2-1bionic) bionic; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 23:00:00 -0000

ros-melodic-industrial-robot-simulator (0.3.1-1bionic) bionic; urgency=high

  * robot_simulator: avoid hardcoded python path. Fix #53 <https://github.com/ros-industrial/industrial_core/issues/53>.
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-industrial-robot-simulator
 Section: misc
-Priority: extra
-Maintainer: Shaun Edwards <shaun.edwards@gmail.com>
+Priority: optional
+Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch (>= 1.9.55)
 Homepage: http://ros.org/wiki/industrial_robot_simulator
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-industrial-robot-simulator//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
